Results 1 to 9 of 9
  1.    #1  
    I got to thinking. If you get 2.1 on a legacy device, in my case a sprint pre-, if they apply simple ota updates to say 2.1.5 or something will these devices accept the ota downloads/updates if its an unsupported device?

    -- Sent from my Palm Pre using Forums
  2. #2  
    I would be very surprised if so, but you could probably re-meta-doctor every time.
  3. #3  
    OTA updates actually come from the carrier so , since Sprint is never going to give 2.1 you should have no problem. In case there is another update you will need to perform the update via the doctor again.
  4.    #4  
    Ok, what if you go to 2.1 and sprint puts out a simple fix to address 1.4.5 issues and releases an update to 1.5, surely it wouldn't detect that update and try to install it? Surely unlikely they will tho anyways.

    -- Sent from my Palm Pre using Forums
  5. #5  
    NO.

    When they push updates, it isn't just "if you're on 2.1.0, you get 2.5.9" ... you have to match their device build as well. In other words, unless they release webOS 2.x updates OTA to Pre Pluses on 2.1.0, you won't get the update.

    Additionally, you can only meta doctor IF they release updated Doctors for the legacy devices (in other words, unless they release a 2.1.x Doctor for the Pre Plus, you won't get 2.1.x).
    Arthur Thornton

    Former webOS DevRel Engineer at Palm, HP, and LG
    Former webOS app developer (built Voice Memos, Sparrow, and several homebrew apps and patches)
    Former blogger for webOS Nation and webOS Roundup
  6. #6  
    I was gonna say, what update?? Since you are already having to meta-dr to get where you want to be, its already because they won't be releasing 2.1 for pre-.. What makes you think that they'll release the next version for pre- if they never released 2.1 in the first place..
    tp
  7. #7  
    Quote Originally Posted by sapient2k7 View Post
    OTA updates actually come from the carrier so , since Sprint is never going to give 2.1 you should have no problem. In case there is another update you will need to perform the update via the doctor again.
    Not from the carrier. From Palm after approval by the carrier. Same result, I guess.
  8. #8  
    But it will be interessting to see if O2 2.x OTA updates comes out for the officially 2.1 PrePlus Metadoctor. These updates will hopefully work OTA on O2 PrePlus and Pre- devices.
  9. #9  
    Quote Originally Posted by gizmo21 View Post
    But it will be interessting to see if O2 2.x OTA updates comes out for the officially 2.1 PrePlus Metadoctor. These updates will hopefully work OTA on O2 PrePlus and Pre- devices.
    I won't hold my breath. I expect that OTA updates are addressed by device identifier (eg P100EUE for mine) and serial number (which would identify the carrier). (eg Movistar for mine). Consequently the next OTA update I expect is one approved by Movistar for their Pre-, which probaly means none ever. I think that it's meta-doctor or nothing from here on. But then, my phone only has to last until I can get hold of a GSM Pre 3.

Posting Permissions